<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/pc_bft_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr">  1 </span>11/18/87  pc_bft_
<span id="L2" class="LineNr">  2 </span>
<span id="L3" class="LineNr">  3 </span>
<span id="L4" class="LineNr">  4 </span>This is a collection of subroutines <span class="textRainbow_lv0_p0">(</span>found in pc_bft_.archive<span class="textRainbow_lv0_p0">)</span> which
<span id="L5" class="LineNr">  5 </span>provide a subroutine interface to BFT on the PC.
<span id="L6" class="LineNr">  6 </span>
<span id="L7" class="LineNr">  7 </span>
<span id="L8" class="LineNr">  8 </span>Entry points in pc_bft_:
<span id="L9" class="LineNr">  9 </span>    <span class="textRainbow_lv0_p0">(</span>List to be generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L10" class="LineNr"> 10 </span>
<span id="L11" class="LineNr"> 11 </span>
<span id="L12" class="LineNr"> 12 </span>:Entry: bftfetch: 11/18/87  bftfetch
<span id="L13" class="LineNr"> 13 </span>
<span id="L14" class="LineNr"> 14 </span>
<span id="L15" class="LineNr"> 15 </span>Function: Transfers a file from Multics to the local machine <span class="textRainbow_lv0_p0">(</span>PC<span class="textRainbow_lv0_p0">)</span>.  If
<span id="L16" class="LineNr"> 16 </span>a file already exists with the destination name on the local machine,
<span id="L17" class="LineNr"> 17 </span>it will be overwritten if possible.
<span id="L18" class="LineNr"> 18 </span>
<span id="L19" class="LineNr"> 19 </span>
<span id="L20" class="LineNr"> 20 </span>Syntax:
<span id="L21" class="LineNr"> 21 </span>bftfetch  <span class="textRainbow_lv0_p0">(</span>source_filename<span class="textRainbow_lv0_o0">,</span>  destination_filename<span class="textRainbow_lv0_o0">,</span> priority<span class="textRainbow_lv0_o0">,</span> flags<span class="textRainbow_lv0_p0">)</span>;
<span id="L22" class="LineNr"> 22 </span>   char *source_filename;
<span id="L23" class="LineNr"> 23 </span>   char *destination_filename;
<span id="L24" class="LineNr"> 24 </span>   int   priority;
<span id="L25" class="LineNr"> 25 </span>   long  flags;
<span id="L26" class="LineNr"> 26 </span>
<span id="L27" class="LineNr"> 27 </span>
<span id="L28" class="LineNr"> 28 </span>Arguments:
<span id="L29" class="LineNr"> 29 </span>source_filename
<span id="L30" class="LineNr"> 30 </span>   The Multics pathname of the file which is to be transferred from
<span id="L31" class="LineNr"> 31 </span>   Multics to the PC.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L32" class="LineNr"> 32 </span>destination_filename
<span id="L33" class="LineNr"> 33 </span>   The pathname where the file sent from the remote machine is to be
<span id="L34" class="LineNr"> 34 </span>   stored.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L35" class="LineNr"> 35 </span>
<span id="L36" class="LineNr"> 36 </span>
<span id="L37" class="LineNr"> 37 </span>priority
<span id="L38" class="LineNr"> 38 </span>   The priority of the queue into which the fetch request is to be
<span id="L39" class="LineNr"> 39 </span>   placed.  These range in value from 1..4, with 1 being of highest
<span id="L40" class="LineNr"> 40 </span>   priority.  <span class="textRainbow_lv0_p0">(</span>Default 3<span class="textRainbow_lv0_p0">)</span>
<span id="L41" class="LineNr"> 41 </span>flags
<span id="L42" class="LineNr"> 42 </span>   A collection of bits signifying transfer characteristics.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L43" class="LineNr"> 43 </span>   The following definitions should be ORed together to obtain the
<span id="L44" class="LineNr"> 44 </span>   appropriate settings <span class="textRainbow_lv0_p0">(</span>defined in BFT.H<span class="textRainbow_lv0_p0">)</span>
<span id="L45" class="LineNr"> 45 </span>
<span id="L46" class="LineNr"> 46 </span>      BFT_BINARY    - ignore &lt;CR&gt;&lt;NL&gt; - &lt;NL&gt; conversions
<span id="L47" class="LineNr"> 47 </span>      BFT_NOTIFY    - notify user upon completion
<span id="L48" class="LineNr"> 48 </span>
<span id="L49" class="LineNr"> 49 </span>
<span id="L50" class="LineNr"> 50 </span>Examples:
<span id="L51" class="LineNr"> 51 </span>bftfetch <span class="textRainbow_lv0_p0">(</span>&quot;&gt;udd&gt;multics&gt;bob&gt;wonk&quot;<span class="textRainbow_lv0_o0">,</span> &quot;c:\user\pete\wonk&quot;<span class="textRainbow_lv0_o0">,</span> 0<span class="textRainbow_lv0_o0">,</span> 4<span class="textRainbow_lv0_p0">)</span>;
<span id="L52" class="LineNr"> 52 </span>bftfetch <span class="textRainbow_lv0_p0">(</span>&quot;&lt;o&gt;foo&quot;<span class="textRainbow_lv0_o0">,</span> &quot;foo&quot;<span class="textRainbow_lv0_o0">,</span> BFT_BINARY | BFT_NOTIFY<span class="textRainbow_lv0_o0">,</span> 1<span class="textRainbow_lv0_p0">)</span>;
<span id="L53" class="LineNr"> 53 </span>
<span id="L54" class="LineNr"> 54 </span>
<span id="L55" class="LineNr"> 55 </span>:Entry: bftstore: 11/18/87  bftstore
<span id="L56" class="LineNr"> 56 </span>
<span id="L57" class="LineNr"> 57 </span>
<span id="L58" class="LineNr"> 58 </span>Function: Sends a file from the local machine and stores it on the
<span id="L59" class="LineNr"> 59 </span>remote machine <span class="textRainbow_lv0_p0">(</span>Multics<span class="textRainbow_lv0_p0">)</span>.  If a file already exists with the
<span id="L60" class="LineNr"> 60 </span>destination name on the remote machine, it will be overwritten if
<span id="L61" class="LineNr"> 61 </span>possible.
<span id="L62" class="LineNr"> 62 </span>
<span id="L63" class="LineNr"> 63 </span>
<span id="L64" class="LineNr"> 64 </span>Syntax:
<span id="L65" class="LineNr"> 65 </span>bftstore  <span class="textRainbow_lv0_p0">(</span>source_filename<span class="textRainbow_lv0_o0">,</span>  destination_filename<span class="textRainbow_lv0_o0">,</span> flags<span class="textRainbow_lv0_o0">,</span> priority<span class="textRainbow_lv0_p0">)</span>;
<span id="L66" class="LineNr"> 66 </span>   char *source_filename;
<span id="L67" class="LineNr"> 67 </span>   char *destination_filename;
<span id="L68" class="LineNr"> 68 </span>   long  flags;
<span id="L69" class="LineNr"> 69 </span>   int   priority;
<span id="L70" class="LineNr"> 70 </span>
<span id="L71" class="LineNr"> 71 </span>
<span id="L72" class="LineNr"> 72 </span>Arguments:
<span id="L73" class="LineNr"> 73 </span>source_filename
<span id="L74" class="LineNr"> 74 </span>   The PC pathname of the file which is to be transferred from the PC
<span id="L75" class="LineNr"> 75 </span>   to Multics.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L76" class="LineNr"> 76 </span>destination_filename
<span id="L77" class="LineNr"> 77 </span>   The pathname where the file is to be sent to on the remote system.
<span id="L78" class="LineNr"> 78 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L79" class="LineNr"> 79 </span>
<span id="L80" class="LineNr"> 80 </span>
<span id="L81" class="LineNr"> 81 </span>flags
<span id="L82" class="LineNr"> 82 </span>   A collection of bits signifying transfer characteristics.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L83" class="LineNr"> 83 </span>   The following definitions should be ORed together to obtain the
<span id="L84" class="LineNr"> 84 </span>   appropriate settings <span class="textRainbow_lv0_p0">(</span>defined in BFT.H<span class="textRainbow_lv0_p0">)</span>
<span id="L85" class="LineNr"> 85 </span>
<span id="L86" class="LineNr"> 86 </span>      BFT_BINARY    - ignore &lt;CR&gt;&lt;NL&gt; - &lt;NL&gt; conversions
<span id="L87" class="LineNr"> 87 </span>      BFT_NOTIFY    - notify user upon completion
<span id="L88" class="LineNr"> 88 </span>priority
<span id="L89" class="LineNr"> 89 </span>   The priority of the queue into which the fetch request is to be
<span id="L90" class="LineNr"> 90 </span>   placed.  These range in value from 1..4, with 1 being of highest
<span id="L91" class="LineNr"> 91 </span>   priority.  <span class="textRainbow_lv0_p0">(</span>Default 3<span class="textRainbow_lv0_p0">)</span>
<span id="L92" class="LineNr"> 92 </span>
<span id="L93" class="LineNr"> 93 </span>
<span id="L94" class="LineNr"> 94 </span>Examples:
<span id="L95" class="LineNr"> 95 </span>bftstore <span class="textRainbow_lv0_p0">(</span>&quot;c:\user\bob\wonk&quot;<span class="textRainbow_lv0_o0">,</span> &quot;&gt;udd&gt;multics&gt;bob&gt;wonk&quot;<span class="textRainbow_lv0_o0">,</span> 0<span class="textRainbow_lv0_o0">,</span> 1<span class="textRainbow_lv0_p0">)</span>;
<span id="L96" class="LineNr"> 96 </span>bftstore <span class="textRainbow_lv0_p0">(</span>&quot;c:joe&quot;<span class="textRainbow_lv0_o0">,</span> &quot;&gt;udd&gt;games&gt;chess&quot;<span class="textRainbow_lv0_o0">,</span> BFT_BINARY<span class="textRainbow_lv0_o0">,</span> 4<span class="textRainbow_lv0_p0">)</span>;
<span id="L97" class="LineNr"> 97 </span>
<span id="L98" class="LineNr"> 98 </span>
<span id="L99" class="LineNr"> 99 </span>:Entry: bftcan: 11/18/87  bftcan
<span id="L100" class="LineNr">100 </span>
<span id="L101" class="LineNr">101 </span>
<span id="L102" class="LineNr">102 </span>Function: Remove the specified entry from the containing transfer
<span id="L103" class="LineNr">103 </span>queue, causing the transfer request not to be found and ultimately
<span id="L104" class="LineNr">104 </span>terminating the request.
<span id="L105" class="LineNr">105 </span>
<span id="L106" class="LineNr">106 </span>
<span id="L107" class="LineNr">107 </span>Syntax:
<span id="L108" class="LineNr">108 </span>bftcan <span class="textRainbow_lv0_p0">(</span>id_type<span class="textRainbow_lv0_o0">,</span> entry_id<span class="textRainbow_lv0_p0">)</span>;
<span id="L109" class="LineNr">109 </span>   int   id_type;
<span id="L110" class="LineNr">110 </span>   char *entry_id;
<span id="L111" class="LineNr">111 </span>
<span id="L112" class="LineNr">112 </span>
<span id="L113" class="LineNr">113 </span>Arguments:
<span id="L114" class="LineNr">114 </span>id_type
<span id="L115" class="LineNr">115 </span>   is the type of the request identifier that has been given.  It must
<span id="L116" class="LineNr">116 </span>   take on one of the values BFT_PATH_ID, BFT_ENTRY_ID, or BFT_TIME_ID
<span id="L117" class="LineNr">117 </span>   defined in the include file bft.incl.pl1. <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L118" class="LineNr">118 </span>entry_id
<span id="L119" class="LineNr">119 </span>   is the request identifier of the entry to be removed.  It may be
<span id="L120" class="LineNr">120 </span>   one of relative pathname, entry name, or request ID.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L121" class="LineNr">121 </span>
<span id="L122" class="LineNr">122 </span>
<span id="L123" class="LineNr">123 </span>Examples:
<span id="L124" class="LineNr">124 </span>bft_$cancel <span class="textRainbow_lv0_p0">(</span>BFT_ENTRY_ID<span class="textRainbow_lv0_o0">,</span> &quot;foo&quot;<span class="textRainbow_lv0_p0">)</span>;
<span id="L125" class="LineNr">125 </span>bft_$cancel <span class="textRainbow_lv0_p0">(</span>BFT_PATH_ID<span class="textRainbow_lv0_o0">,</span>  &quot;&gt;udd&gt;m&gt;bob&gt;foo&quot;<span class="textRainbow_lv0_p0">)</span>;
<span id="L126" class="LineNr">126 </span>bft_$cancel <span class="textRainbow_lv0_p0">(</span>BFT_PATH_ID<span class="textRainbow_lv0_o0">,</span>  &quot;C:\TMP\BAR&quot;<span class="textRainbow_lv0_p0">)</span>;
<span id="L127" class="LineNr">127 </span>bft_$cancel <span class="textRainbow_lv0_p0">(</span>BFT_TIME_ID<span class="textRainbow_lv0_o0">,</span>  &quot;173611.1&quot;<span class="textRainbow_lv0_p0">)</span>;
<span id="L128" class="LineNr">128 </span>
<span id="L129" class="LineNr">129 </span>
<span id="L130" class="LineNr">130 </span>:Entry: bftrecfe: 11/18/87  bftrecfe
<span id="L131" class="LineNr">131 </span>
<span id="L132" class="LineNr">132 </span>
<span id="L133" class="LineNr">133 </span>Function: Continues receiving a file from the remote system <span class="textRainbow_lv0_p0">(</span>Multics<span class="textRainbow_lv0_p0">)</span>
<span id="L134" class="LineNr">134 </span>after the interruption of a previous fetch command.  The length of the
<span id="L135" class="LineNr">135 </span>destination file is checked on the local machine, and the remainder of
<span id="L136" class="LineNr">136 </span>the file is transferred.
<span id="L137" class="LineNr">137 </span>
<span id="L138" class="LineNr">138 </span>
<span id="L139" class="LineNr">139 </span>Syntax:
<span id="L140" class="LineNr">140 </span>bftrecfe <span class="textRainbow_lv0_p0">()</span>;
<span id="L141" class="LineNr">141 </span>
<span id="L142" class="LineNr">142 </span>
<span id="L143" class="LineNr">143 </span>:Entry: bftrecst: 11/18/87  bftrecst
<span id="L144" class="LineNr">144 </span>
<span id="L145" class="LineNr">145 </span>
<span id="L146" class="LineNr">146 </span>Function: Continues sending a file to the remote system <span class="textRainbow_lv0_p0">(</span>Multics<span class="textRainbow_lv0_p0">)</span>
<span id="L147" class="LineNr">147 </span>after the interruption of a previous store command.  The length of the
<span id="L148" class="LineNr">148 </span>destination file is checked on the remote system, and the remainder of
<span id="L149" class="LineNr">149 </span>the file is sent.
<span id="L150" class="LineNr">150 </span>
<span id="L151" class="LineNr">151 </span>
<span id="L152" class="LineNr">152 </span>Syntax:
<span id="L153" class="LineNr">153 </span>bftrecst <span class="textRainbow_lv0_p0">()</span>;
<span id="L154" class="LineNr">154 </span>
<span id="L155" class="LineNr">155 </span>
<span id="L156" class="LineNr">156 </span>:Entry: bftunld: 11/18/87  bftunld
<span id="L157" class="LineNr">157 </span>
<span id="L158" class="LineNr">158 </span>
<span id="L159" class="LineNr">159 </span>Function: This unloads the BFT server modules from both the PC and
<span id="L160" class="LineNr">160 </span>Multics.  All transfers in progress will be interrupted and the queues
<span id="L161" class="LineNr">161 </span>will remain intact with the current entries.
<span id="L162" class="LineNr">162 </span>
<span id="L163" class="LineNr">163 </span>
<span id="L164" class="LineNr">164 </span>Syntax:
<span id="L165" class="LineNr">165 </span>bftunld <span class="textRainbow_lv0_p0">()</span>
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
